---
api: 'Merchant API'
---

# Retrieve a payout list

Retrieve payouts from your Merchant account. You can also use the query parameters for:

  | Filtering | Pagination |
  | --------- | ---------- |
  | Filter the payouts that you want to retrieve, for example, only retrieve the payouts with a specific currency or state. <br/><br/>Parameters used for filtering:<br/><ul><li>`from_created_date`</li><li>`to_created_date`</li><li>`currency`</li><li>`state`</li></ul> | Control the number of payouts returned per page. <br/><br/>Parameters used for pagination: <br/><ul><li>`limit`</li></ul> |

## Endpoint

GET `/api/payouts`

## Parameters

### query parameters

- `currency` (array of string, optional)
  Filter the results by one or more [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency codes in upper case.
  
  Repeat the parameter to filter by multiple currencies.

- `limit` (integer, optional)
  The maximum number of payouts returned per page. Used for **pagination**.
  
  If not provided, all payouts are returned.

- `from_created_date` (string, optional)
  Retrieve records with a `created_at` value ≥ `from_created_date`.
  
  Use the [ISO 8601 date-time format](https://en.wikipedia.org/wiki/ISO_8601): `yyyy-MM-ddTHH:mm:ss[.SSSSSS]Z`.

- `to_created_date` (string, optional)
  Retrieve records with a `created_at` value ≤ `to_created_date`.
  
  Use the [ISO 8601 date-time format](https://en.wikipedia.org/wiki/ISO_8601): `yyyy-MM-ddTHH:mm:ss[.SSSSSS]Z`.

- `state` (array of enum, optional)
  Filter payouts by state. Repeat the parameter to filter by multiple states.

## Returns

### 200

Payouts retrieved

#### Response attributes


## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 500 | Internal Server Error |
